Voiceflow bearer token
Get persona
curl --request GET \
--url https://realtime-api.voiceflow.com/v1/stable/persona/<personaID> \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.get(
'https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf persona get --persona-id <personaID> --project-id <projectID> --environment-alias <environmentAlias>{
"persona": {
"id": "<string>",
"name": "<string>",
"items": [
{
"variable": "<string>",
"value": "<string>"
}
],
"createdAt": "2026-09-10T00:00:00.000Z",
"updatedAt": "2026-09-10T00:00:00.000Z"
}
}Get a persona by ID.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/persona/get-persona.md — the Voiceflow documentation page "Get persona". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
GET
/v1/stable/persona/{personaID}
Get persona
curl --request GET \
--url https://realtime-api.voiceflow.com/v1/stable/persona/<personaID> \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.get(
'https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf persona get --persona-id <personaID> --project-id <projectID> --environment-alias <environmentAlias>{
"persona": {
"id": "<string>",
"name": "<string>",
"items": [
{
"variable": "<string>",
"value": "<string>"
}
],
"createdAt": "2026-09-10T00:00:00.000Z",
"updatedAt": "2026-09-10T00:00:00.000Z"
}
}Authorizations
Query Parameters
Response
200 - application/jsonShow child attributes
The variable values this persona presets, one per variable.
Was this page helpful?
Thanks for your feedback.